<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import Checkbox from '@/components/general/form/Checkbox.vue';


const props = defineProps<{
    label:string,
    modelValue: string[],
    options: {value:string,label:string}[],
    info?: string
}>();

const emits = defineEmits<{
    (e: 'update:modelValue',value:string[]):void
}>();

const handleChange = (value:string)=>{
    const index = props.modelValue.findIndex((i)=>i===value);
    const localModelValue = [...props.modelValue];
    if(index>-1) localModelValue.splice(index,1);
    else localModelValue.push(value);
    emits('update:modelValue', localModelValue);
};
</script>
<template>
<label class="flex flex-row gap-2">{{ label }}<Tooltip v-if="info" :tooltip="info"><button class="hover:bg-gray-100 rounded-full"><i class="ri-information-2-line"></i></button></Tooltip></label>
<div class="grid grid-cols-3 w-full">
    <Checkbox :label="item.label" :modelValue="props.modelValue.findIndex((i)=>i === item.value)!==-1" @update:modelValue="()=>handleChange(item.value)" :id="item.value" v-for="item in options"/>
</div>
</template>